:root{
    --primary-color: rgb(0, 90, 0);
    --secondary-color: rgb(255, 180, 0);
    --text-light: white;
    --text-dark: black;
    --border-radius: 20px;
}

/* CSS Resets and initials... */
*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

html{
    font-size: 62.5%;
    scroll-behavior: smooth;
}

body{
    min-height: 100vh;
    font-family: Arial, Helvetica, sans-serif;
    padding: 10px;
}

/* Actual styling... */
header{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem;
    background-color: var(--primary-color);
    border-radius: var(--border-radius);
    position: sticky;
    top: 0;
}

header .logo span{
    color: var(--primary-color);
    background-color: var(--secondary-color);
    padding: 5px;
    font-size: 3rem;
    font-weight: 700;
    border-radius: var(--border-radius);
    margin-right: 2px;
}

header .logo{
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--text-light);
    font-size: 2rem;
    font-weight: 600;
    cursor: pointer;
}

header nav{
    display: flex;
    gap: 4rem;
}

header nav a{
    color: var(--text-light);
    text-decoration: none;
    font-size: 2rem;
    font-weight: 600;
    transition: all 0.5s ease;
}

header nav a:hover{
    color: var(--secondary-color);
    text-decoration: underline;
    transform: scale(1.2);
}

header .contact{
    color: var(--primary-color);
    font-size: 2rem;
    text-decoration: none;
    font-weight: 600;
    background-color: var(--text-light);
    padding: 1rem;
    border-radius: var(--border-radius);
    transition: all 0.5s ease;
}

header .contact:hover{
    background-color: var(--secondary-color);
    transform: scale(1.05);
}